/***************************************************************************
 *
 * tdenetman-devicestore_dbus.cpp - A NetworkManager frontend for TDE
 *
 * Copyright (C) 2005, 2006 Novell, Inc.
 *
 * Author: Timo Hoenig        <thoenig@suse.de>, <thoenig@nouse.net>
 *         Valentine Sinitsyn <e_val@inbox.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#ifndef TDENETWORKMANAGER_CONNECTION_SETTING_INFO_WIDGET_H
#define TDENETWORKMANAGER_CONNECTION_SETTING_INFO_WIDGET_H


// tqt headers
#include <tqwidget.h>
#include <tqlineedit.h>

// tde headers
#include <tdehardwaredevices.h>
#include <tdenetworkconnections.h>

// tdenm headers
#include "connection_setting_info.h"
#include "tdenetman-connection_settings_dialog.h"
#include "tdenetman-connection_setting_widget_interface.h"

namespace ConnectionSettings
{

class Info;
class Connection;

class InfoWidgetImpl : public WidgetInterface
{
	TQ_OBJECT
  
	public:
		InfoWidgetImpl(TDENetworkConnection* conn, TQWidget* parent = NULL, const char* name = NULL, WFlags fl = 0);
		void Activate();

	public slots:
		void slotNameChanged(const TQString&);
		void slotAutoconnectChanged(bool);

	private:
		void Init();

		TDENetworkConnection* _infosetting;
		ConnectionSettingsDialogImpl* _parentdialog;
		ConnectionSettingInfoWidget* _mainWid;
};

}
#endif /* TDENETWORKMANAGER_CONNECTION_SETTING_INFO_WIDGET_H*/
