/***************************************************************************
 *
 * tdenetman-pluginmanager.h - A NetworkManager frontend for TDE 
 *
 * Copyright (C) 2006 Novell, Inc.
 *
 * Author: Helmut Schaa <hschaa@suse.de>, <helmut.schaa@gmx.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#ifndef TDENETWORKMANAGER_PLUGINMANAGER_H
#define TDENETWORKMANAGER_PLUGINMANAGER_H

#include <tqobject.h>
#include <tqmap.h>
#include <tqvaluelist.h>

#include "tdenetman-plugin.h"
#include "tdenetman.h"

class KPluginInfo;

typedef TQMap<KPluginInfo*, Plugin*> PluginMap;

class PluginManager : public TQObject
{
	TQ_OBJECT
  
	public:
		PluginManager(TQObject*, const char*);
		~PluginManager();

		TQStringList getPluginList(const TQString&, const TQString&, const TQString&) const;
		Plugin* getPlugin(const TQString&);
		const KPluginInfo* getPluginInfo(const TQString&);
		const KPluginInfo* getPluginInfo(const Plugin*);

	  static PluginManager* getInstance (void);

	public slots:
		void loadAllPlugins();

	private:
		TQValueList<KPluginInfo*> _plugins;
		PluginMap _loadedPlugins;

		Plugin* loadPlugin(const TQString& pluginID);
		KPluginInfo* infoForPluginID(const TQString& pluginID) const;

		static PluginManager* _instance;
};

#endif /* TDENETWORKMANAGER_PLUGINMANAGER_H */
