/***************************************************************************
 *
 * tdenetman.h - A NetworkManager frontend for TDE 
 *
 * Copyright (C) 2005, 2006 Novell, Inc.
 *
 * Author: Timo Hoenig     <thoenig@suse.de>, <thoenig@nouse.net>
 *         Will Stephenson <wstephenson@suse.de>, <wstephenson@kde.org>
 *         Helmut Schaa    <hschaa@suse.de>, <helmut.schaa@gmx.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#ifndef TDENETWORKMANAGER_WIRED_DEVICE_TRAY_H
#define TDENETWORKMANAGER_WIRED_DEVICE_TRAY_H

// TDENM includes
#include "devicetraycomponent.h"

#include "tdenetman.h"

// predefs
class WiredDevice;
class WiredDeviceTrayPrivate;

class WiredDeviceTray : public DeviceTrayComponent
{
	TQ_OBJECT
  

	public:
	  WiredDeviceTray (TQString, KSystemTray * parent = 0, const char * name = 0);
	  ~WiredDeviceTray ();

		void addMenuItems(TDEPopupMenu* menu);

	public slots:
		void newConnection();

	private:
		WiredDeviceTrayPrivate* d;
		TDEHardwareDevices* hwdevices;
};

#endif /* TDENETWORKMANAGER_WIRED_DEVICE_TRAY_H */
